%global timestamp %(date +%%Y%%m%%d%%H%%M%%S)

Name:           dolphin-emu-git
Version:        %{timestamp}
Release:        3%{?dist}
Summary:        Dolphin is a GameCube / Wii emulator (Git Version)

License:        GPLv2
URL:            https://dolphin-emu.org/

BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  mesa-libGL-devel
BuildRequires:  libXi-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libevdev-devel
BuildRequires:  systemd-devel
BuildRequires:  pugixml-devel
BuildRequires:  enet-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  lzo-devel

%if 0%{?fedora} <= 34
BuildRequires:  libusb-devel
%endif

%if 0%{?fedora} >= 35
BuildRequires:  libusb1-devel
%endif

BuildRequires:  SFML-devel
BuildRequires:  miniupnpc-devel
BuildRequires:  libcurl-devel
BuildRequires:  hidapi-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  mbedtls-devel
BuildRequires:  enet-devel
BuildRequires:  xxhash-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  libzstd-devel
#BuildRequires:  minizip-devel
BuildRequires:  cubeb-devel
BuildRequires:  glibc-devel

#BuildArch:       x86_64

Obsoletes:       dolphin-emu

%description
Dolphin is an emulator for two recent Nintendo video game consoles: the GameCube and the Wii. It allows PC gamers to enjoy games for these two consoles in full HD (1080p) with several enhancements: compatibility with all PC controllers, turbo speed, networked multiplayer, and even more!

%prep
%{__git} clone --depth 1 --recurse-submodules https://github.com/dolphin-emu/dolphin.git ./


%build
sed -i 's:/../plugins/platforms:/qt6/plugins/platforms:' $RPM_BUILD_DIR/Source/Core/DolphinQt/CMakeLists.txt
cmake ./ -DCMAKE_INSTALL_PREFIX=/usr \
         -DENCODE_FRAMEDUMPS=OFF \
         -DUSE_SHARED_ENET=ON \
         -DUSE_DISCORD_PRESENCE=OFF
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license Readme.md
#%doc license.txt

%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dolphin-emu
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*


%changelog
* Thu May 05 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Fixed build on Fedora rawhide
- Added recursive git submodule fetch

* Fri Feb 12 2021 Victor Oliveira <victor.oliveira@gmx.com>
- Added submodule fetch
- Updated build libs list

* Tue Feb 12 2019 Victor Oliveira <victor.oliveira@gmx.com>
- First version
